Please support VectorLinux!

Author Topic: vl-hot-config fails with "unexpected error" on a stock 5.8 SOHO install  (Read 15590 times)

Joe1962

  • Administrator
  • Vectorian
  • *****
  • Posts: 2499
    • Joe1962's Website
PROBLEM:
Running vl-hot-config on a stock install of VectorLinux 5.8 SOHO fails with an error like:
Code: [Select]
This application has raised an unexpected error and must abort.
#45: File or directory does not exist
FMain.ReadCharsets.222

CAUSE:
Some last-minute changes to the kernel config for 5.8 SOHO final broke the version of vl-hot-config released on the iso. The NLS modules were changed to built-in to the kernel, so could no longer be parsed at runtime.

SOLUTION:
This was fixed in vl-hot-config 1.0.3 by hard-coding the codepage and charset dropdown lists. Upgrade to the latest version of the vl-hot package in the 5.8 repository.
O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10

smurfslover

  • Member
  • *
  • Posts: 1
Re: vl-hot-config fails with "unexpected error" on a stock 5.8 SOHO install
« Reply #1 on: January 05, 2008, 02:33:28 am »
I get the same error on a fresh 5.8 SOHO install.
VL-hot-config version is 1.0.4

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: vl-hot-config fails with "unexpected error" on a stock 5.8 SOHO install
« Reply #2 on: August 06, 2008, 05:55:43 am »
I get the same thing but on a 5.9 Deluxe.
It is not a fresh install.

The console output:
Code: [Select]
Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
FMain.ReadCharsets.193: #45: File or directory does not exist
WARNING: circular references detected
FMain (1)

Weid thing is, I think it actually worked before, so maybe some upgrade broke it?